# Copyright (C) 2002-2022 Free Software Foundation, Inc.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This file is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this file.  If not, see <https://www.gnu.org/licenses/>.
#
# As a special exception to the GNU General Public License,
# this file may be distributed as part of a program that
# contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the specification of how gnulib-tool is used.
# It acts as a cache: It is written and read by gnulib-tool.
# In projects that use version control, this file is meant to be put under
# version control, like the configure.ac and various Makefile.am files.


# Specification in the form of a command-line invocation:
# gnulib-tool --import --local-dir=lib/gl \
#  --lib=libgnu \
#  --source-base=lib/gl \
#  --m4-base=lib/gl/m4 \
#  --doc-base=doc \
#  --tests-base=lib/gl/tests \
#  --aux-dir=build-aux \
#  --no-conditional-dependencies \
#  --libtool \
#  --macro-prefix=libgl \
#  --avoid=xalloc-die \
#  areadlink \
#  arpa_inet \
#  base64 \
#  bind \
#  close \
#  connect \
#  crc \
#  crypto/arcfour \
#  crypto/gc-des \
#  crypto/gc-hmac-md5 \
#  crypto/gc-hmac-sha1 \
#  crypto/gc-md4 \
#  crypto/gc-md5 \
#  crypto/gc-pbkdf2-sha1 \
#  crypto/gc-random \
#  fcntl \
#  getaddrinfo \
#  getline \
#  getpass \
#  getsubopt \
#  minmax \
#  netinet_in \
#  parse-datetime \
#  read-file \
#  recvfrom \
#  select \
#  sendto \
#  shutdown \
#  signal \
#  socket \
#  sockets \
#  socklen \
#  stat \
#  stdint \
#  strcase \
#  strerror \
#  strndup \
#  strtok_r \
#  strverscmp \
#  sys_select \
#  sys_socket \
#  sys_stat \
#  sys_time \
#  time \
#  timegm \
#  unistd \
#  vasnprintf \
#  vasprintf \
#  xalloc \
#  xgetdomainname \
#  xgethostname \
#  xstrndup \
#  xvasprintf

# Specification in the form of a few gnulib-tool.m4 macro invocations:
gl_LOCAL_DIR([lib/gl])
gl_MODULES([
  areadlink
  arpa_inet
  base64
  bind
  close
  connect
  crc
  crypto/arcfour
  crypto/gc-des
  crypto/gc-hmac-md5
  crypto/gc-hmac-sha1
  crypto/gc-md4
  crypto/gc-md5
  crypto/gc-pbkdf2-sha1
  crypto/gc-random
  fcntl
  getaddrinfo
  getline
  getpass
  getsubopt
  minmax
  netinet_in
  parse-datetime
  read-file
  recvfrom
  select
  sendto
  shutdown
  signal
  socket
  sockets
  socklen
  stat
  stdint
  strcase
  strerror
  strndup
  strtok_r
  strverscmp
  sys_select
  sys_socket
  sys_stat
  sys_time
  time
  timegm
  unistd
  vasnprintf
  vasprintf
  xalloc
  xgetdomainname
  xgethostname
  xstrndup
  xvasprintf
])
gl_AVOID([ xalloc-die])
gl_SOURCE_BASE([lib/gl])
gl_M4_BASE([lib/gl/m4])
gl_PO_BASE([])
gl_DOC_BASE([doc])
gl_TESTS_BASE([lib/gl/tests])
gl_LIB([libgnu])
gl_MAKEFILE_NAME([])
gl_LIBTOOL
gl_MACRO_PREFIX([libgl])
gl_PO_DOMAIN([])
gl_WITNESS_C_MACRO([])
